Skip to main content
GET
/
appointments
/
{id}
Get appointment by ID
curl --request GET \
  --url https://api.maxcare.ai/v1/appointments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
{
  "code": "success",
  "data": {
    "id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
    "scheduledStartDate": "2025-01-20T09:00:00.000Z",
    "scheduledEndDate": "2025-01-20T09:30:00.000Z",
    "status": "confirmed",
    "isNewPatient": false,
    "patientId": "c56103bc-d39c-46d3-9f31-38dd2b5e05f6",
    "patientFirstName": "Sarah",
    "patientLastName": "Johnson",
    "patientMrn": "MRN-10042",
    "providerId": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a",
    "providerFirstName": "James",
    "providerLastName": "Wilson",
    "facilityId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
    "facilityName": "West LA Dermatology",
    "createdAt": "2025-01-15T09:30:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.maxcare.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Marketplace API key

Headers

X-Organization-Id
string
required

Target clinic organization ID

Path Parameters

id
string
required

Appointment ID

Response

Success

code
string
required

Response code

Example:

"success"

data
object
required